Index: trunk/examples/extended/electromagnetic/TestEm8/History
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/History	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.29 2007/11/12 10:54:49 vnivanch Exp $
+$Id: History,v 1.37 2010/06/06 04:31:28 perl Exp $
 -------------------------------------------------------------------
 
@@ -15,4 +15,31 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+04-06-10 J.Perl (testem8-V09-03-03)
+- Updated vis usage 
+
+04-06-10 V.Ivant (testem8-V09-03-02)
+- PhysicsList, Em8DetectorConstruction - renamed "VertexDetector" by 
+  "GasDetector"
+- added cut per region into TestEm8.in
+     
+21-05-10 mma (testem8-V09-03-01)
+- TestEm8.cc : introduction of G4UIExecutive
+
+13-04-10 V.Ivant (testem8-V09-03-00)
+- Use pointer to G4EmConfigurator and not as a memeber of the class
+
+24-11-08 V.Ivant (testem8-V09-02-00)
+- Fixed compillation warnings at SLC5
+
+05-12-08 V.Ivant (testem8-V09-01-02)
+- Fixed typo in Physics List
+
+21-11-08 V.Ivant (testem8-V09-01-01)
+- remove local components of PhsyicsList and use G4EmConfigurator to
+  configure PAI model
+
+12-06-08 mma (testem8-V09-01-00)
+- Remove AIDA from GNUmakefile 
 
 12-11-07 V.Ivant  (testem8-V09-00-05)
Index: trunk/examples/extended/electromagnetic/TestEm8/TestEm8.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/TestEm8.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/TestEm8.cc	(revision 1337)
@@ -25,25 +25,13 @@
 //
 //
-// $Id: TestEm8.cc,v 1.8 2007/07/27 15:29:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: TestEm8.cc,v 1.9 2010/05/21 18:15:04 maire Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
-// 
-// --------------------------------------------------------------
-//      GEANT 4 - TestEm8 
-//
-// --------------------------------------------------------------
-// Comments
-//     
-//   
-// --------------------------------------------------------------
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 #include "G4RunManager.hh"
 #include "G4UImanager.hh"
-#include "G4UIterminal.hh"
 #include "Randomize.hh"
-
-#ifdef G4VIS_USE
-#include "G4VisExecutive.hh"
-#endif
 
 #include "Em8DetectorConstruction.hh"
@@ -54,4 +42,14 @@
 #include "Em8SteppingAction.hh"
 #include "Em8SteppingVerbose.hh"
+
+#ifdef G4VIS_USE
+#include "G4VisExecutive.hh"
+#endif
+
+#ifdef G4UI_USE
+#include "G4UIExecutive.hh"
+#endif
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 int main(int argc,char** argv) 
@@ -76,8 +74,4 @@
   runManager->SetUserInitialization(detector);
   runManager->SetUserInitialization(new PhysicsList);
-  
-#ifdef G4VIS_USE
-  G4VisManager* visManager = 0;
-#endif 
  
   // set user action classes
@@ -99,28 +93,32 @@
   
   G4UImanager* UI = G4UImanager::GetUIpointer();  
- 
-  if (argc==1)   // Define UI terminal for interactive mode  
+
+  if (argc!=1)   // batch mode  
+    {
+     G4String command = "/control/execute ";
+     G4String fileName = argv[1];
+     UI->ApplyCommand(command+fileName);
+    }
+    
+  else           //define visualization and UI terminal for interactive mode
     { 
 #ifdef G4VIS_USE
-      visManager = new G4VisExecutive;
-      visManager->Initialize();
-#endif 
-      G4UIsession * session = new G4UIterminal;
-      UI->ApplyCommand("/control/execute init.mac");    
-      session->SessionStart();
-      delete session;
-    }
-  else           // Batch mode
-    { 
-      G4String command = "/control/execute ";
-      G4String fileName = argv[1];
-      UI->ApplyCommand(command+fileName);
-    }
-    
+   G4VisManager* visManager = new G4VisExecutive;
+   visManager->Initialize();
+#endif    
+     
+#ifdef G4UI_USE
+      G4UIExecutive * ui = new G4UIExecutive(argc,argv);      
+      ui->SessionStart();
+      delete ui;
+#endif
+     
+#ifdef G4VIS_USE
+     delete visManager;
+#endif     
+    } 
+   
   // job termination
-  
-#ifdef G4VIS_USE
-  delete visManager;
-#endif  
+  //
   delete runManager;
 
@@ -128,2 +126,4 @@
 }
 
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
Index: trunk/examples/extended/electromagnetic/TestEm8/TestEm8.in
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/TestEm8.in	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/TestEm8.in	(revision 1337)
@@ -10,8 +10,6 @@
 #  select EM PhysicsList
 #
-#/testem/phys/addPhysics  emstandard
 /testem/phys/addPhysics  pai
 #/testem/phys/addPhysics  pai_photon
-#/testem/phys/addPhysics  pai_brem
 #
 /testem/phys/setCuts    1 mm
@@ -26,4 +24,7 @@
 #
 /run/initialize
+#
+/run/setCut  0.5 mm
+/run/setCutForRegion GasDetector 1.8 mm
 /run/particle/dumpCutValues
 #
Index: trunk/examples/extended/electromagnetic/TestEm8/TestEm8.out
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/TestEm8.out	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/TestEm8.out	(revision 1337)
@@ -1,5 +1,9 @@
+
+        ############################################
+        !!! WARNING - FPE detection is activated !!!
+        ############################################
 
 *************************************************************
- Geant4 version Name: global-V09-00-03    (9-May-2008)
+ Geant4 version Name: geant4-09-03-ref-06    (25-June-2010)
                       Copyright : Geant4 Collaboration
                       Reference : NIM A 506 (2003), 250-303
@@ -10,17 +14,13 @@
 #/tracking/verbose 2
 #
-# select EM PhysicsList
-#
-#/testem/phys/addPhysics emstandard
+#  select EM PhysicsList
+#
 /testem/phys/addPhysics pai
-PhysicsList::AddPhysicsList: <pai>
-PhysListEmModelPai is called
-#/testem/phys/addPhysics pai_photon
-#/testem/phys/addPhysics pai_brem
+#/testem/phys/addPhysics  pai_photon
 #
 /testem/phys/setCuts 1 mm
-#/testem/stepMax 10 mm
-#
-# PLOT: energy deposit distribution in absorber
+#/testem/stepMax         10 mm
+#
+#  PLOT: energy deposit distribution in absorber
 #
 /plots/setnbinEn 20
@@ -43,6 +43,10 @@
 physicsList->Construct() start.
 physicsList->Construct() start.
+physicsList->CheckParticleList() start.
 physicsList->setCut() start.
 PhysicsList::SetCuts:CutLength : 1 mm 
+#
+/run/setCut 0.5 mm
+/run/setCutForRegion GasDetector 1.8 mm
 /run/particle/dumpCutValues
 #
@@ -61,147 +65,262 @@
 /event/printModulo 100
 /run/beamOn 1000
-
-phot:  Total cross sections from Sandia parametrisation. 
-      Sampling according PhotoElectric model
-
-compt:  Total cross sections has a good parametrisation from 10 KeV to (100/Z) GeV
-      Sampling according Klein-Nishina model
-      tables are built for  gamma
-      Lambda tables from 100 eV  to 100 GeV in 90 bins.
-
-conv:  Total cross sections has a good parametrisation from 1.5 MeV to 100 GeV for all Z;
-      sampling secondary e+e- according Bethe-Heitler model
-      tables are built for  gamma
-      Lambda tables from 1.022 MeV to 100 GeV in 100 bins.
-
-msc:  Model variant of multiple scattering for e-
-      Lambda tables from 100 eV  to 100 TeV in 120 bins.
-      LateralDisplacementFlag=  1   Skin= 0
-      Boundary/stepping algorithm is active with RangeFactor= 0.02  Step limit type 1
-
-eIoni:   tables are built for  e-
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Delta cross sections and sampling from MollerBhabha model
-      Good description from 1 KeV to 100 GeV.
-      Step function: finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1
-
-eBrem:   tables are built for  e-
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Total cross sections and sampling from StandBrem model (based on the EEDL data library) 
-      Good description from 1 KeV to 100 GeV, log scale extrapolation above 100 GeV. LPM flag 1
-
-eIoni:   tables are built for  e+
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Delta cross sections and sampling from MollerBhabha model
-      Good description from 1 KeV to 100 GeV.
-      Step function: finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1
-
-eBrem:   tables are built for  e+
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Total cross sections and sampling from StandBrem model (based on the EEDL data library) 
-      Good description from 1 KeV to 100 GeV, log scale extrapolation above 100 GeV. LPM flag 1
-
-annihil:       Sampling according eplus2gg model
-      tables are built for  e+
-      Lambda tables from 100 eV  to 100 TeV in 120 bins.
-
-msc:  Model variant of multiple scattering for proton
-      Lambda tables from 100 eV  to 100 TeV in 120 bins.
-      LateralDisplacementFlag=  1   Skin= 0
-      Boundary/stepping algorithm is active with RangeFactor= 0.02  Step limit type 1
-
-hIoni:   tables are built for  proton
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Scaling relation is used from proton dE/dx and range.
-      Delta cross sections and sampling from BetheBloch model for scaled energy > 2 MeV
-      Parametrisation from Bragg for protons below. NuclearStopping= 1
-      Step function: finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1
-
-msc:  Model variant of multiple scattering for GenericIon
-      LateralDisplacementFlag=  0   Skin= 0
-      Boundary/stepping algorithm is active with RangeFactor= 0.2  Step limit type 1
-
-ionIoni:   tables are built for  GenericIon
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Scaling relation is used from proton dE/dx and range.
-      Delta cross sections and sampling from BetheBloch model for scaled energy > 2 MeV
-      Parametrisation from BraggIon for protons below. NuclearStopping= 1
-
-      Stopping Power data for 8 ion/material pairs are used.
-      Step function: finalRange(mm)= 0.1, dRoverRange= 0.1, integral: 1, fluct: 1
-
-hIoni:   tables are built for  anti_proton
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Scaling relation is used from proton dE/dx and range.
-      Delta cross sections and sampling from BetheBloch model for scaled energy > 2 MeV
-      Parametrisation from Bragg for protons below. NuclearStopping= 1
-      Step function: finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1
-
-msc:  Model variant of multiple scattering for mu+
-      Lambda tables from 100 eV  to 100 TeV in 120 bins.
-      LateralDisplacementFlag=  1   Skin= 0
-      Boundary/stepping algorithm is active with RangeFactor= 0.02  Step limit type 1
-
-muIoni:   tables are built for  mu+
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Bether-Bloch model for E > 0.2 MeV, parametrisation of Bragg peak below, 
-      radiative corrections for E > 1 GeV
-      Step function: finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1
-
-muBrems:   tables are built for  mu+
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Parametrised model 
-
-muPairProd:   tables are built for  mu+
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Parametrised model 
-
-muIoni:   tables are built for  mu-
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Bether-Bloch model for E > 0.2 MeV, parametrisation of Bragg peak below, 
-      radiative corrections for E > 1 GeV
-      Step function: finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1
-
-muBrems:   tables are built for  mu-
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Parametrised model 
-
-muPairProd:   tables are built for  mu-
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Parametrised model 
-
-hIoni:   tables are built for  pi+
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Scaling relation is used from proton dE/dx and range.
-      Delta cross sections and sampling from BetheBloch model for scaled energy > 0.297504 MeV
-      Parametrisation from Bragg for protons below. NuclearStopping= 1
-      Step function: finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1
-
-msc:  Model variant of multiple scattering for pi-
-      Lambda tables from 100 eV  to 100 TeV in 120 bins.
-      LateralDisplacementFlag=  1   Skin= 0
-      Boundary/stepping algorithm is active with RangeFactor= 0.02  Step limit type 1
-
-hIoni:   tables are built for  pi-
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Scaling relation is used from proton dE/dx and range.
-      Delta cross sections and sampling from BetheBloch model for scaled energy > 0.297504 MeV
-      Parametrisation from Bragg for protons below. NuclearStopping= 1
-      Step function: finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1
+G4PAIModel::Initialise for e+
+G4PAIModel::Initialise for e-
+G4PAIModel::Initialise for mu+
+G4PAIModel::Initialise for mu-
+G4PAIModel::Initialise for pi+
+G4PAIModel::Initialise for pi-
+G4PAIModel::Initialise for proton
+
+phot:   for  gamma    SubType= 12
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+       PhotoElectric :     Emin=          0 eV         Emax=   10 TeV
+
+compt:   for  gamma    SubType= 13
+      Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+       Klein-Nishina :     Emin=          0 eV         Emax=   10 TeV
+
+conv:   for  gamma    SubType= 14
+      Lambda tables from 1.022 MeV to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+       Bethe-Heitler :     Emin=          0 eV         Emax=   10 TeV
+
+msc:   for e-    SubType= 10
+      Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
+      RangeFactor= 0.04, stepLimitType: 1, latDisplacement: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          UrbanMsc93 :     Emin=          0 eV         Emax=   10 TeV
+
+eIoni:   for  e-    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+        MollerBhabha :     Emin=          0 eV         Emax=   10 TeV
+      ===== EM models for the G4Region  GasDetector ======
+            PAIModel :     Emin=          0 eV         Emax=   10 TeV
+
+eBrem:   for  e-    SubType= 3
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      LPM flag: 1 for E > 1 GeV
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               eBrem :     Emin=          0 eV         Emax=   1 GeV
+            eBremRel :     Emin=          1 GeV        Emax=   10 TeV
+
+eIoni:   for  e+    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+        MollerBhabha :     Emin=          0 eV         Emax=   10 TeV
+      ===== EM models for the G4Region  GasDetector ======
+            PAIModel :     Emin=          0 eV         Emax=   10 TeV
+
+eBrem:   for  e+    SubType= 3
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      LPM flag: 1 for E > 1 GeV
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               eBrem :     Emin=          0 eV         Emax=   1 GeV
+            eBremRel :     Emin=          1 GeV        Emax=   10 TeV
+
+annihil:   for  e+    SubType= 5
+      Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+            eplus2gg :     Emin=          0 eV         Emax=   10 TeV
+
+msc:   for proton    SubType= 10
+      Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
+      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          UrbanMsc90 :     Emin=          0 eV         Emax=   10 TeV
+
+hIoni:   for  proton    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               Bragg :     Emin=          0 eV         Emax=   2 MeV
+          BetheBloch :     Emin=          2 MeV        Emax=   10 TeV
+      ===== EM models for the G4Region  GasDetector ======
+            PAIModel :     Emin=          0 eV         Emax=   10 TeV
+
+hBrems:   for  proton    SubType= 3
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               hBrem :     Emin=          0 eV         Emax=   10 TeV
+
+hPairProd:   for  proton    SubType= 4
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+           hPairProd :     Emin=          0 eV         Emax=   10 TeV
+
+msc:   for GenericIon    SubType= 10
+      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 0
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          UrbanMsc90 :     Emin=          0 eV         Emax=   10 TeV
+
+ionIoni:   for  GenericIon    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      finalRange(mm)= 0.1, dRoverRange= 0.1, integral: 1, fluct: 1, linLossLimit= 0.02
+      Stopping Power data for 17 ion/material pairs, nuclearStopping: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+            BraggIon :     Emin=          0 eV         Emax=   2 MeV
+          BetheBloch :     Emin=          2 MeV        Emax=   10 TeV
+
+hIoni:   for  anti_proton    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+            ICRU73QO :     Emin=          0 eV         Emax=   2 MeV
+          BetheBloch :     Emin=          2 MeV        Emax=   10 TeV
+
+hIoni:   for  kaon+    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               Bragg :     Emin=          0 eV         Emax=   1.05231 MeV
+          BetheBloch :     Emin=    1.05231 MeV        Emax=   10 TeV
+
+hBrems:   for  kaon+    SubType= 3
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               hBrem :     Emin=          0 eV         Emax=   10 TeV
+
+hPairProd:   for  kaon+    SubType= 4
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+           hPairProd :     Emin=          0 eV         Emax=   10 TeV
+
+hIoni:   for  kaon-    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+            ICRU73QO :     Emin=          0 eV         Emax=   1.05231 MeV
+          BetheBloch :     Emin=    1.05231 MeV        Emax=   10 TeV
+
+hBrems:   for  kaon-    SubType= 3
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               hBrem :     Emin=          0 eV         Emax=   10 TeV
+
+hPairProd:   for  kaon-    SubType= 4
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+           hPairProd :     Emin=          0 eV         Emax=   10 TeV
+
+muMsc:   for mu+    SubType= 10
+      Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
+      RangeFactor= 0.2, step limit type: 0, lateralDisplacement: 1, polarAngleLimit(deg)= 0
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          UrbanMsc90 :     Emin=          0 eV         Emax=   10 TeV
+
+muIoni:   for  mu+    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               Bragg :     Emin=          0 eV         Emax=   200 keV
+          BetheBloch :     Emin=        200 keV        Emax=   1 GeV
+        MuBetheBloch :     Emin=          1 GeV        Emax=   10 TeV
+      ===== EM models for the G4Region  GasDetector ======
+            PAIModel :     Emin=          0 eV         Emax=   10 TeV
+
+muBrems:   for  mu+    SubType= 3
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+              MuBrem :     Emin=          0 eV         Emax=   10 TeV
+
+muPairProd:   for  mu+    SubType= 4
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          muPairProd :     Emin=          0 eV         Emax=   10 TeV
+
+muIoni:   for  mu-    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+            ICRU73QO :     Emin=          0 eV         Emax=   200 keV
+          BetheBloch :     Emin=        200 keV        Emax=   1 GeV
+        MuBetheBloch :     Emin=          1 GeV        Emax=   10 TeV
+      ===== EM models for the G4Region  GasDetector ======
+            PAIModel :     Emin=          0 eV         Emax=   10 TeV
+
+muBrems:   for  mu-    SubType= 3
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+              MuBrem :     Emin=          0 eV         Emax=   10 TeV
+
+muPairProd:   for  mu-    SubType= 4
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          muPairProd :     Emin=          0 eV         Emax=   10 TeV
+
+hIoni:   for  pi+    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               Bragg :     Emin=          0 eV         Emax=   297.504 keV
+          BetheBloch :     Emin=    297.504 keV        Emax=   10 TeV
+      ===== EM models for the G4Region  GasDetector ======
+            PAIModel :     Emin=          0 eV         Emax=   10 TeV
+
+hBrems:   for  pi+    SubType= 3
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               hBrem :     Emin=          0 eV         Emax=   10 TeV
+
+hPairProd:   for  pi+    SubType= 4
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+           hPairProd :     Emin=          0 eV         Emax=   10 TeV
+
+msc:   for pi-    SubType= 10
+      Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
+      RangeFactor= 0.2, stepLimitType: 0, latDisplacement: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          UrbanMsc90 :     Emin=          0 eV         Emax=   10 TeV
+
+hIoni:   for  pi-    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+            ICRU73QO :     Emin=          0 eV         Emax=   297.504 keV
+          BetheBloch :     Emin=    297.504 keV        Emax=   10 TeV
+      ===== EM models for the G4Region  GasDetector ======
+            PAIModel :     Emin=          0 eV         Emax=   10 TeV
+
+hBrems:   for  pi-    SubType= 3
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               hBrem :     Emin=          0 eV         Emax=   10 TeV
+
+hPairProd:   for  pi-    SubType= 4
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+           hPairProd :     Emin=          0 eV         Emax=   10 TeV
 
 Region <DefaultRegionForTheWorld> -- appears in <World> world volume
@@ -209,11 +328,11 @@
  Pointers : G4VUserRegionInformation[0], G4UserLimits[0], G4FastSimulationManager[0], G4UserSteppingAction[0]
  Materials : Mylar 
- Production cuts :  gamma 1 mm     e- 1 mm     e+ 1 mm 
-
-Region <VertexDetector> -- appears in <World> world volume
+ Production cuts :   gamma 500 um      e- 500 um      e+ 500 um  proton 500 um 
+
+Region <GasDetector> -- appears in <World> world volume
  Root logical volume(s) : Absorber 
  Pointers : G4VUserRegionInformation[0], G4UserLimits[0], G4FastSimulationManager[0], G4UserSteppingAction[0]
  Materials : XeCH4C3H8 
- Production cuts :  gamma 2.3 cm     e- 2.3 cm     e+ 2.3 cm 
+ Production cuts :   gamma 1.8 mm      e- 1.8 mm      e+ 1.8 mm  proton 1.8 mm 
 
 ========= Table of registered couples ==============================
@@ -221,6 +340,6 @@
 Index : 0     used in the geometry : Yes     recalculation needed : No 
  Material : Mylar
- Range cuts        :  gamma 1 mm     e- 1 mm     e+ 1 mm 
- Energy thresholds :  gamma 2.97898 keV    e- 417.539 keV    e+ 402.4 keV
+ Range cuts        :  gamma  500 um     e-  500 um     e+  500 um  proton 500 um 
+ Energy thresholds :  gamma  2.27786 keV    e-  261.805 keV    e+  258.31 keV proton 50 keV
  Region(s) which use this couple : 
     DefaultRegionForTheWorld
@@ -228,8 +347,8 @@
 Index : 1     used in the geometry : Yes     recalculation needed : No 
  Material : XeCH4C3H8
- Range cuts        :  gamma 2.3 cm     e- 2.3 cm     e+ 2.3 cm 
- Energy thresholds :  gamma 3.83995 keV    e- 63.4899 keV    e+ 61.9458 keV
+ Range cuts        :  gamma  1.8 mm     e-  1.8 mm     e+  1.8 mm  proton 1.8 mm 
+ Energy thresholds :  gamma  990 eV     e-  5.57533 keV    e+  5.40743 keV proton 180 keV
  Region(s) which use this couple : 
-    VertexDetector
+    GasDetector
 
 ====================================================================
@@ -270,45 +389,45 @@
 Run Summary
   Number of events processed : 1000
-  User=0.15s Real=0.15s Sys=0s
+  User=0.11s Real=0.1s Sys=0s
  ================== run summary =====================
  end of Run TotNbofEvents = 1000
-    mean charged track length   in absorber=23.3231 +- 0.118697  mm  
-
-            mean energy deposit in absorber=0.0158995 +- 0.000304796  MeV 
-
- mean number of steps in absorber (charged) =0.092 +- 0.043215      
- mean number of steps in absorber (neutral) =0 +- 0      
-
-   mean number of charged secondaries = 0.01 +- 0.00314643
-
-   mean number of neutral secondaries = 0 +- 0
-
-   mean number of e-s =0.01  and e+s =0
+    mean charged track length   in absorber=24.2704 +- 0.310817  mm  
+
+            mean energy deposit in absorber=0.0160189 +- 0.000378691  MeV 
+
+ mean number of steps in absorber (charged) =0.898 +- 0.0848269      
+ mean number of steps in absorber (neutral) =0.002 +- 0.0014128      
+
+   mean number of charged secondaries = 0.257 +- 0.0163997
+
+   mean number of neutral secondaries = 0.002 +- 0.0014128
+
+   mean number of e-s =0.257  and e+s =0
 
 (number) transmission coeff=1  reflection coeff=0
 
  energy deposit distribution 
-#entries=1000    #underflows=0    #overflows=7
+#entries=1000    #underflows=0    #overflows=12
  bin nb      Elow      entries     normalized 
     0         0           0           0
-    1         3           8       0.008
-    2         6         102       0.102
-    3         9         261       0.261
-    4        12         240        0.24
-    5        15         158       0.158
-    6        18          77       0.077
-    7        21          45       0.045
+    1         3           4       0.004
+    2         6          95       0.095
+    3         9         270        0.27
+    4        12         251       0.251
+    5        15         146       0.146
+    6        18          90        0.09
+    7        21          49       0.049
     8        24          30        0.03
-    9        27          17       0.017
-   10        30          14       0.014
-   11        33          10        0.01
-   12        36           8       0.008
-   13        39           6       0.006
-   14        42           5       0.005
-   15        45           1       0.001
+    9        27          16       0.016
+   10        30          13       0.013
+   11        33           5       0.005
+   12        36           5       0.005
+   13        39           9       0.009
+   14        42           1       0.001
+   15        45           2       0.002
    16        48           1       0.001
-   17        51           1       0.001
-   18        54           5       0.005
-   19        57           4       0.004
+   17        51           0           0
+   18        54           0           0
+   19        57           1       0.001
 
  Emp =           0.009   width=          0.006  MeV 
@@ -317,5 +436,5 @@
 --------- Ranecu engine status ---------
  Initial seed (index) = 0
- Current couple of seeds = 1062535304, 247495324
+ Current couple of seeds = 1481926969, 852281434
 ----------------------------------------
 #
@@ -327,5 +446,4 @@
 G4SDManager deleted.
 EventManager deleted.
-Default detector region deleted.
 UImanager deleted.
 Units table cleared.
@@ -333,2 +451,3 @@
 RunManagerKernel is deleted.
 RunManager is deleting.
+
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8CalorHit.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8CalorHit.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8CalorHit.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8CalorHit.hh,v 1.4 2006/06/29 16:58:58 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8CalorimeterSD.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8CalorimeterSD.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8CalorimeterSD.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8CalorimeterSD.hh,v 1.4 2006/06/29 16:59:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8DetectorConstruction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8DetectorConstruction.hh,v 1.9 2007/10/02 10:12:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8DetectorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8DetectorMessenger.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8DetectorMessenger.hh,v 1.6 2007/10/02 10:12:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8EventAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8EventAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8EventAction.hh,v 1.4 2006/06/29 16:59:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8EventActionMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8EventActionMessenger.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8EventActionMessenger.hh,v 1.4 2006/06/29 16:59:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8PrimaryGeneratorAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8PrimaryGeneratorAction.hh,v 1.4 2006/06/29 16:59:12 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8PrimaryGeneratorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8PrimaryGeneratorMessenger.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8PrimaryGeneratorMessenger.hh,v 1.4 2006/06/29 16:59:14 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8RunAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8RunAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8RunAction.hh,v 1.8 2006/06/29 16:59:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8RunMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8RunMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8RunMessenger.hh	(revision 1337)
@@ -27,5 +27,5 @@
 //
 // $Id: Em8RunMessenger.hh,v 1.4 2006/06/29 16:59:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8SteppingAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8SteppingAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8SteppingAction.hh,v 1.5 2006/06/29 16:59:20 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/Em8SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/Em8SteppingVerbose.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/Em8SteppingVerbose.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8SteppingVerbose.hh,v 1.4 2006/06/29 16:59:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //  
Index: trunk/examples/extended/electromagnetic/TestEm8/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/PhysicsList.hh	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: PhysicsList.hh,v 1.3 2008/11/21 12:39:24 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: PhysicsList.hh,v 1.4 2010/04/13 08:12:23 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -73,5 +73,5 @@
 		    const G4String& procname);
 
-  G4EmConfigurator em_config;
+  G4EmConfigurator* em_config;
 
   G4double cutForGamma;
Index: trunk/examples/extended/electromagnetic/TestEm8/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/PhysicsListMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/PhysicsListMessenger.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.2 2006/06/29 16:59:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/StepMax.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/StepMax.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/StepMax.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.hh,v 1.2 2006/06/29 16:59:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm8/include/StepMaxMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/StepMaxMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/StepMaxMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.hh,v 1.2 2006/06/29 16:59:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm8/include/TRTDetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/TRTDetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/TRTDetectorConstruction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: TRTDetectorConstruction.hh,v 1.4 2006/06/29 16:59:58 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/include/TRTMaterials.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/include/TRTMaterials.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/include/TRTMaterials.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: TRTMaterials.hh,v 1.4 2006/06/29 17:00:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/run11.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/run11.mac	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/run11.mac	(revision 1337)
@@ -11,7 +11,7 @@
 #  select EM PhysicsList
 #
-/testem/phys/addPhysics  pai
+#/testem/phys/addPhysics  pai
 #
-#/testem/phys/addPhysics  pai-photon
+/testem/phys/addPhysics  pai_photon
 #
 #/testem/phys/addPhysics  standard
@@ -19,5 +19,5 @@
 #/testem/phys/addPhysics model
 #
-/testem/phys/setCuts    1 mm
+/testem/phys/setCuts    1.01 mm
 #/testem/phys/VertexCuts 0.1 mm
 #/testem/phys/MuonCuts  10.0 mm
@@ -33,7 +33,7 @@
 #  PLOT: energy deposit distribution in absorber
 #
-/plots/setnbinEn 150
+/plots/setnbinEn 50
 /plots/setEnlow 0.00 MeV
-/plots/setEnhigh 0.3  MeV  
+/plots/setEnhigh 0.5  MeV  
 #
 #
@@ -80,5 +80,5 @@
 #/tracking/verbose 1
 #
-/event/printModulo 1000
+/event/printModulo 10000
 /run/beamOn 50000
 #
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8CalorHit.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8CalorHit.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8CalorHit.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8CalorHit.cc,v 1.5 2006/06/29 17:00:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8CalorimeterSD.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8CalorimeterSD.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8CalorimeterSD.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8CalorimeterSD.cc,v 1.7 2006/06/29 17:00:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8DetectorConstruction.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: Em8DetectorConstruction.cc,v 1.21 2007/10/02 10:12:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: Em8DetectorConstruction.cc,v 1.23 2010/06/04 17:08:15 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
@@ -149,6 +149,5 @@
   a = 26.98*g/mole;
   density = 2.7*g/cm3;
-  G4Material* Al = new G4Material(name="Aluminium", z=13., a, density);
-  if(Al);
+  new G4Material(name="Aluminium", z=13., a, density);
 
   // Mylar
@@ -162,6 +161,5 @@
   density = 2.330*g/cm3;
   a = 28.09*g/mole;
-  G4Material* Si = new G4Material(name="Silicon", z=14., a, density);
-  if(Si);
+  new G4Material(name="Silicon", z=14., a, density);
 
   // Krypton as detector gas, STP
@@ -367,5 +365,5 @@
   if( fRegGasDet == 0 ) // First time - instantiate a region and a cut objects
   {    
-    fRegGasDet = new G4Region("VertexDetector");
+    fRegGasDet = new G4Region("GasDetector");
     cuts = new G4ProductionCuts();
     fRegGasDet->SetProductionCuts(cuts);
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8DetectorMessenger.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8DetectorMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8DetectorMessenger.cc,v 1.8 2007/10/02 10:12:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8EventAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8EventAction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8EventAction.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: Em8EventAction.cc,v 1.10 2007/11/12 10:54:49 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: Em8EventAction.cc,v 1.11 2010/06/06 04:31:28 perl Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
@@ -45,7 +45,4 @@
 #include "G4SDManager.hh"
 #include "G4UImanager.hh"
-#include "G4TrajectoryContainer.hh"
-#include "G4Trajectory.hh"
-#include "G4VVisManager.hh"
 #include "G4ios.hh"
 #include "G4UnitsTable.hh"
@@ -142,19 +139,4 @@
     runaction->FillNbOfSteps(nstep);
   }
-  
-  G4VVisManager* pVVisManager = G4VVisManager::GetConcreteInstance();
-
-  if(pVVisManager)
-  {
-   G4TrajectoryContainer* trajectoryContainer = evt->GetTrajectoryContainer();
-   G4int n_trajectories = 0;
-   if (trajectoryContainer) n_trajectories = trajectoryContainer->entries();  
-   for(G4int i=0; i<n_trajectories; i++) 
-      { G4Trajectory* trj = (G4Trajectory *)((*(evt->GetTrajectoryContainer()))[i]);
-        if (drawFlag == "all") trj->DrawTrajectory(50);
-        else if ((drawFlag == "charged")&&(trj->GetCharge() != 0.))
-                               trj->DrawTrajectory(50); 
-      }
-  }  
 
   if(verboselevel>0)
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8EventActionMessenger.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8EventActionMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8EventActionMessenger.cc,v 1.5 2006/06/29 17:00:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8PrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8PrimaryGeneratorAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8PrimaryGeneratorAction.cc,v 1.7 2006/06/29 17:00:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8PrimaryGeneratorMessenger.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8PrimaryGeneratorMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8PrimaryGeneratorMessenger.cc,v 1.5 2006/06/29 17:00:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8RunAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8RunAction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8RunAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8RunAction.cc,v 1.15 2007/11/12 10:54:49 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8RunMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8RunMessenger.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8RunMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8RunMessenger.cc,v 1.7 2006/06/29 17:00:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8SteppingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8SteppingAction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8SteppingAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8SteppingAction.cc,v 1.10 2007/11/12 10:54:49 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/Em8SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/Em8SteppingVerbose.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/Em8SteppingVerbose.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: Em8SteppingVerbose.cc,v 1.8 2006/06/29 17:00:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/electromagnetic/TestEm8/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/PhysicsList.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: PhysicsList.cc,v 1.16 2008/12/05 17:46:12 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: PhysicsList.cc,v 1.19 2010/06/04 17:08:15 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
@@ -61,5 +61,6 @@
 PhysicsList::PhysicsList() : G4VModularPhysicsList()
 {
-  G4LossTableManager::Instance();
+  em_config = G4LossTableManager::Instance()->EmConfigurator();
+  G4LossTableManager::Instance()->SetVerbose(1);
   defaultCutValue = 1.*mm;
   cutForGamma     = defaultCutValue;
@@ -88,5 +89,5 @@
   delete generalPhysicsList;
   delete emPhysicsList;
-  for(size_t i=0; i<hadronPhys.size(); i++) delete hadronPhys[i];
+  for(size_t i=0; i<hadronPhys.size(); ++i) { delete hadronPhys[i]; }
   delete stepMaxProcess;
 }
@@ -105,7 +106,6 @@
   AddTransportation();
   emPhysicsList->ConstructProcess();
-  em_config.AddModels();
   generalPhysicsList->ConstructProcess();
-  for(size_t i=0; i<hadronPhys.size(); i++) hadronPhys[i]->ConstructProcess();
+  for(size_t i=0; i<hadronPhys.size(); ++i) { hadronPhys[i]->ConstructProcess(); }
   AddStepMax();
 }
@@ -196,5 +196,5 @@
   SetCutValue(cutForPositron, "e+");
 
-  if ( verboseLevel > 0 ) DumpCutValuesTable();
+  if ( verboseLevel > 0 ) { DumpCutValuesTable(); }
 }
 
@@ -256,9 +256,9 @@
   if(modname == "pai") {
     G4PAIModel* pai = new G4PAIModel(part,"PAIModel");
-    em_config.SetExtraEmModel(partname,procname,pai,"VertexDetector",
+    em_config->SetExtraEmModel(partname,procname,pai,"GasDetector",
 			      0.0,100.*TeV,pai);
   } else if(modname == "pai_photon") {
     G4PAIPhotonModel* pai = new G4PAIPhotonModel(part,"PAIPhotModel");
-    em_config.SetExtraEmModel(partname,procname,pai,"VertexDetector",
+    em_config->SetExtraEmModel(partname,procname,pai,"GasDetector",
 			      0.0,100.*TeV,pai);
   }
Index: trunk/examples/extended/electromagnetic/TestEm8/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/PhysicsListMessenger.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/PhysicsListMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.2 2006/06/29 17:00:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm8/src/StepMax.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/StepMax.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/StepMax.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.cc,v 1.3 2006/06/29 17:00:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm8/src/StepMaxMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm8/src/StepMaxMessenger.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm8/src/StepMaxMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.cc,v 1.2 2006/06/29 17:00:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
